Bug 457535 - Review Request: myanmar3-unicode-fonts - Myanmar3 unicode font
Review Request: myanmar3-unicode-fonts - Myanmar3 unicode font
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 07:58 EDT by Minto Joseph
Modified: 2013-11-17 20:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 03:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Minto Joseph 2008-08-01 07:58:21 EDT
Spec URL: http://mintojoseph.fedorapeople.org/packages/myanmar3-unicode-fonts.spec
SRPM URL: http://mintojoseph.fedorapeople.org/packages/myanmar3-unicode-fonts-2008801-1.fc8.src.rpm

Description: Myanmar3 unicode font from Myanmar Unicode & NLP Research Center
Comment 1 Parag AN(पराग) 2008-08-04 03:46:21 EDT
1)Correct source url to 
Source0: http://www.myanmarnlp.net.mm/downloads/%{archivename}.zip

2) Version should be 3.00. I used "gnome-font-viewer mm3.ttf" command to find version for font.

3)Correct Changelog entry to
* Fri Aug 01 2008 Minto Joseph <mvaliyav at redhat.com> - 3.00-1
Comment 3 Parag AN(पराग) 2008-08-04 06:43:04 EDT
will you please reupload SRPM with following change in SPEC changelog
* Fri Aug 01 2008 Minto Joseph <mvaliyav at redhat.com> -3.00-1 
to
* Fri Aug 01 2008 Minto Joseph <mvaliyav at redhat.com> - 3.00-1 

I see rpmlint warning 
myanmar3-unicode-fonts.noarch: W: incoherent-version-in-changelog -3.00-1 3.00-1.fc10
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.
Comment 5 Parag AN(पराग) 2008-08-05 00:36:37 EDT
Review:
+ package builds in mock (rawhide i386).
 koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=756862
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
1cae8ab0ea5c5a369b73cb70a24fe9dd  Myanmar3_Unicode.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ fc-cache scriptlets are used.

* Regarding .conf file I don't see any problem as far as its following conf file writing guidelines from http://fedoraproject.org/wiki/SIGs/Fonts/Packaging/Fontconfig

* Your SRPM is still old but you updated only SPEC. So before you import package make sure you use correct SRPM.
   
APPROVED.
Comment 6 Minto Joseph 2008-08-06 02:04:08 EDT
New Package CVS Request
=======================
Package Name: myanmar3-unicode-fonts
Short Description: Myanmar3 unicode font
Owners: mintojoseph
Branches: devel only
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 7 Parag AN(पराग) 2008-08-13 00:46:57 EDT
can you build package as cvs is done already?
Comment 8 Parag AN(पराग) 2008-08-13 04:03:09 EDT
looks like you have not put "?" for cvs. Can you please request for cvs by changing fedora-cvs to "?"

Actually new bugzilla interface is confusing me a lot. Previously it was easy to just look above and see what happened last comment.
Comment 9 Kevin Fenzi 2008-08-13 13:28:33 EDT
cvs done.
Comment 10 Parag AN(पराग) 2008-09-04 00:26:16 EDT
any plans to build this package as cvs is done now. If package is already built on koji. Close this review.
Comment 11 Minto Joseph 2008-09-05 07:46:08 EDT
New Package CVS Request
=======================
Package Name: myanmar3-unicode-fonts
Short Description: Myanmar3 unicode font
Owners: mintojoseph
Branches: F-8 F-9
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-09-05 12:46:52 EDT
cvs done.
Comment 13 Parag AN(पराग) 2008-09-15 22:01:57 EDT
ping?
is this built already? If yes then you can CLOSE this review bug.
Comment 14 Minto Joseph 2008-09-29 03:00:49 EDT
Hi Parag,

Built the package. Closing the review bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.